
import org.junit.Before
import org.junit.After
import org.junit.Assert
import org.junit.Test

class ExceptionSwallowing {
  @Before
  void setup() {
    println "running setup"
    "cat".noSuchMethod() // causes MissingMethodException, which is reported by Maven 2 and IDEA, but not by Gradle
  }                              

  @After
  void cleanup() {
    println "running cleanup"
    def x = 10 / 0 // this exception is reported by all three tools
  }

  @Test
  void test() {
    Assert.assertEquals(1, 1)
  }
}
